<?php
// Habilitar las cabeceras necesarias
header('Content-Type: application/json; charset=utf-8');
// En caso de json en vez de jsonp habría que habilitar CORS:
header("Access-Control-Allow-Origin: *");

// Incluir la conexión a la base de datos
include('config/conexion.php');



/*
$user1 ='sworlidert33';
$pass1 ='20415813ma';
*/



$user1 = $_POST['username'];
$pass1 =$_POST['password'];



if($user1 =='' || $pass1 ==''){
    echo "Error de datos";
    return;
}

// Iniciar la sesión si no ha sido iniciada aún
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

$arr = []; // Inicializar el arreglo de respuesta

// Verificar si se enviaron los datos del formulario
if (isset($user1) && isset($pass1)) {

    $user = mysqli_real_escape_string($conexion, $user1);
    $pass = mysqli_real_escape_string($conexion, $pass1);

    // Consulta para verificar las credenciales
    $sql = "SELECT * FROM usuarios_ WHERE user = '$user' AND pass = '$pass'";
    $resultado = mysqli_query($conexion, $sql);

    // Verificar si se encontró un usuario con esas credenciales
    if (mysqli_num_rows($resultado) == 1) {
        $obj2 = mysqli_fetch_object($resultado);

        // Asignar las variables de sesión
        $_SESSION['nombre'] = $obj2->nombre;
        $_SESSION['usuario'] = $user;
        $_SESSION['iduser'] = $obj2->id;
        $_SESSION['admin'] = $obj2->admin;

        // Respuesta exitosa
        $arr[] = array('s' => '1','session de: ' => $_SESSION['nombre']);
    } else {
        // Credenciales incorrectas
        $arr[] = array('s' => '0');
    }
} else {
    // Si no se enviaron los datos, devolver un error
    $arr[] = array('s' => '0', 'message' => 'Datos no enviados');
}

// Enviar la respuesta en formato JSON
echo json_encode($arr);
?>
